apt-get build-dep removes xserver-xorg-lts-quantal

Bug #1137247 reported by Tammy Yang on 2013-03-01
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
fglrx-installer (Ubuntu)
Undecided
Unassigned

Bug Description

The issues occures while trying to install build dependency of fglrx by doing
#apt-get build-dep fglrx
or
#apt-get build-dep fglrx-installer

The build dependency of fglrx-installer contains xserver-xorg-dev and it removes xserver-xorg-lts-quantal. This results in black screen during the next boot. If one issue X, then it complains with the following message
"The program 'X' is currently not installed. You can install it by typing:
apt-get install xserver-xorg"

ProblemType: Package
DistroRelease: Ubuntu 12.04.2
Package: fglrx-installer
ProcVersionSignature: Ubuntu 3.5.0-25.38~precose1-generic 3.5.7.4
Uname: Linux 3.5.0-25-generic x86_64
Architecture: amd64
Date: Fri Mar 1 01:58:48 EST 2013
DkmsStatus:

alsa-hda-lts-quantal, 0.201302210020~precise1, 3.5.0-25-generic, x86_64: installed
fglrx, 12.100, 3.5.0-25-generic, x86_64: installed
oem-ethernet-r8168-1099650, 1stella3, 3.5.0-25-generic, x86_64: installed
oem-input-synapticsled-1098063, 1.0stella2, 3.5.0-25-generic, x86_64: installed
rts5229, 1.4stella4, 3.5.0-25-generic, x86_64: installed
wmi-kobe, 1.0stella1, 3.5.0-25-generic, x86_64: installed

ErrorMessage:

The following packages will be REMOVED:
  libegl1-mesa-drivers-lts-quantal libegl1-mesa-lts-quantal libgbm1-lts-quantal libgl1-mesa-dri-lts-quantal libgl1-mesa-glx-lts-quantal
  libglapi-mesa-lts-quantal libgles1-mesa-lts-quantal libgles2-mesa-lts-quantal libopenvg1-mesa-lts-quantal libxatracker1-lts-quantal
  ubuntu-desktop x11-xserver-utils-lts-quantal xorg xserver-common-lts-quantal xserver-xorg-core-lts-quantal
  xserver-xorg-input-all-lts-quantal xserver-xorg-input-evdev-lts-quantal xserver-xorg-input-mouse-lts-quantal
  xserver-xorg-input-synaptics-lts-quantal xserver-xorg-input-vmmouse-lts-quantal xserver-xorg-input-wacom-lts-quantal
  xserver-xorg-lts-quantal xserver-xorg-video-all-lts-quantal xserver-xorg-video-ati-lts-quantal xserver-xorg-video-cirrus-lts-quantal
  xserver-xorg-video-fbdev-lts-quantal xserver-xorg-video-intel-lts-quantal xserver-xorg-video-mach64-lts-quantal
  xserver-xorg-video-mga-lts-quantal xserver-xorg-video-modesetting-lts-quantal xserver-xorg-video-neomagic-lts-quantal
  xserver-xorg-video-nouveau-lts-quantal xserver-xorg-video-openchrome-lts-quantal xserver-xorg-video-r128-lts-quantal
  xserver-xorg-video-radeon-lts-quantal xserver-xorg-video-s3-lts-quantal xserver-xorg-video-savage-lts-quantal
  xserver-xorg-video-siliconmotion-lts-quantal xserver-xorg-video-sis-lts-quantal xserver-xorg-video-sisusb-lts-quantal
  xserver-xorg-video-tdfx-lts-quantal xserver-xorg-video-trident-lts-quantal xserver-xorg-video-vesa-lts-quantal

InstallationMedia: Ubuntu 12.04.2 Desktop amd64
MachineType: System manufacturer System Product Name
PackageVersion: 2:12.100-0ubuntu1
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-25-generic root=UUID=ec503fe6-b48e-4308-b1b1-f67f593c8aca ro quiet splash vt.handoff=7
SourcePackage: fglrx-installer

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in fglrx-installer (Ubuntu):
status: New → Confirmed
Maarten Lankhorst (mlankhorst) wrote :

Does manually installing xserver-xorg-dev-lts-(quantal, raring or saucy) work around it?

Changed in fglrx-installer (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for fglrx-installer (Ubuntu) because there has been no activity for 60 days.]

Changed in fglrx-installer (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers